Package org.eclipse.draw2d

# Class Container

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.draw2d.Container

All Implemented Interfaces:
  `IFigure`

public class Container extends Figure
Lightweight Container which just draws the children according to the given layout. This Container does not maintain any graphics state and delegates that to its children. This can save memory and increase drawing performance for larger graphs with deep nested figures. A Container can not have any border and does not draw any background. This class is currently in development its API may change: @noreference, @noextend and @noinstantiate

Since:
  3.16

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch, Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`Container(LayoutManager manager)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`paint(Graphics graphics)`
Paints this Figure and its children.
`final void`
`setLayoutManager(LayoutManager manager)`
Sets the LayoutManager.

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, optimizeClip, paintBorder, paintChildren, paintClientArea, paintFigure, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Container

public Container(LayoutManager manager)

## Method Details

### paint

public final void paint(Graphics graphics)
Description copied from class: `Figure`
Paints this Figure and its children.

Specified by:
  `paint` in interface `IFigure`
Overrides:
  `paint` in class `Figure`
Parameters:
  `graphics` - The Graphics object used for painting
See Also:
  - `Figure.paintFigure(Graphics)`
  - `Figure.paintClientArea(Graphics)`
  - `Figure.paintBorder(Graphics)`

### setLayoutManager

public final void setLayoutManager(LayoutManager manager)
Description copied from interface: `IFigure`
Sets the LayoutManager.

Specified by:
  `setLayoutManager` in interface `IFigure`
Overrides:
  `setLayoutManager` in class `Figure`
Parameters:
  `manager` - The new layout manager
See Also:
  - `IFigure.setLayoutManager(LayoutManager)`